package com.rjconsultores.ventaboletos.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ConferenciaPendenciaDAO;
import com.rjconsultores.ventaboletos.entidad.ConferenciaPendencia;
import com.rjconsultores.ventaboletos.service.ConferenciaPendenciaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("conferenciaPendenciaService")
public class ConferenciaPendenciaServiceImpl implements ConferenciaPendenciaService {

	@Autowired
	ConferenciaPendenciaDAO conferenciaPendenciaDAO;

	@Override
	public List<ConferenciaPendencia> obtenerTodos() {
		return conferenciaPendenciaDAO.obtenerTodos();
	}

	@Override
	public ConferenciaPendencia obtenerID(Integer id) {
		return conferenciaPendenciaDAO.obtenerID(id);
	}

	@Transactional
	public ConferenciaPendencia suscribir(ConferenciaPendencia entidad) {
		entidad.setFecmodif(new Date());
		entidad.setUsuario(UsuarioLogado.getUsuarioLogado());
		if (entidad.getConferenciapendenciaId() == null) {
			return conferenciaPendenciaDAO.suscribir(entidad);
		}
		return conferenciaPendenciaDAO.actualizacion(entidad);
	}

	@Override
	public ConferenciaPendencia actualizacion(ConferenciaPendencia entidad) {
		return conferenciaPendenciaDAO.actualizacion(entidad);
	}

	@Override
	public void borrar(ConferenciaPendencia entidad) {
		conferenciaPendenciaDAO.borrar(entidad);
	}

}
